-- Plugin's name --
pluginName = "Profession";

-- File names --
settingsFileName = "Profession_Settings";

-- Default settings --
settings = {
    windowPosition = { 
        xPos = 0, 
        yPos = 0 
    },
    IconPosition = { 
        xPosIcon = 100, 
        yPosIcon = 100 
    },
    isMinimizeEnabled = { 
        isMinimizeEnabled = true 
    },
    isWindowVisible = { 
        isWindowVisible = true 
    },
    escEnable = { 
        escEnable = true 
    }
};

-- Resources settings --
ResourcePath = "Homeopatix/Profession/Resources/";

Images = {
	MinimizedIcon = ResourcePath .. "Profession.tga",
};

-- RGB color codes --
rgb = {
    pluginName = "<rgb=#DAA520>",
    error = "<rgb=#FF0000>",
    clear = "</rgb>"
};

-- Load settings --
LoadSettings();